Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154147 - Kernel crashes from java webapplet
Summary: Kernel crashes from java webapplet
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 19:11 UTC by Kyrre Ness Sjøbæk
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 04:35:29 UTC


Attachments (Terms of Use)

Description Kyrre Ness Sjøbæk 2005-04-07 19:11:49 UTC
Description of problem:
When i use the applet found on this site:
http://www.stud.ntnu.no/~halvorlu/planetsim.jsp
my fedora 2 computer chrashes hard. Happens on both kernel
2.6.10-1.771_FC2
2.6.10-1.12_FC2
Java version:

mozilla-j2re-1.4.2-11.1.fc2.rf
j2re-1.4.2-11.1.fc2.rf
as found here:
http://dag.wieers.com/packages/j2re/

Browser is epiphany:
epiphany-1.2.10-0.2.1

The computer locks hard, only thing responding is moving the mouse cursor and
numlock. Caps, scroll, network, Viritual Console - any imput at all - is dead. I
can only get controll by holding down the power button of my computer untill
power cuts.

I have also quite recently seen a similar crash induced by my own program,
GravCalc (not the newest version). This has only happened once in a dozen runs,
so it isn't as easily reproducible. (SDL 1.2.7-3)  The commonality seems to be
high load (even if the java app only generates about 50% load.) Sources found here:
http://forum.hardware.no/index.php?showtopic=400581&st=0&#entry3956054
(i ran it through xterm, as gnome-terminal was way to slow with that printf ()
in the main loop activated.)

This computer is a 650 mhz Pentium 3 - compaq deskpro. It has always been stable
before, so i don't see a hardware failure as a probable cause. Ofcourse -
nothing is impossible

Version-Release number of selected component (if applicable):
already mentioned

How reproducible:
every time i tried. Takes different time to get there - first time, it
completely froze at once, next time i was able to use the applet in about 10
minutes.

Steps to Reproduce:
1. Install epiphany an SUN J2RE from the mentioned sources
2. Go to the webpage
3. Muck around a bit
4. BOOM!
  
Actual results:
Computer freezes

Expected results:
Computer damn stable. No freezes. Lets me play with tossing planets around.

Additional info:

Comment 1 Dave Jones 2005-04-09 03:30:48 UTC
My first guess is that this isn't a kernel problem, but the jvm running out of
control and eating all resources.  If you set ulimits, and then start the
browser, does it dump core instead ?

Comment 2 Kyrre Ness Sjøbæk 2005-04-10 21:08:07 UTC
What would be "reasonable" ulimits?

This page:
http://lists.virus.org/firewall-wizards-0304/msg00202.html
gives these hints:
ulimit -Sc 0
ulimit -Sd 512000
ulimit -Ss 16384
ulimit -Sn 256
ulimit -Su 100

But that sets softlimit. What is the difference - or should i drop the S and use
both soft and hardlimit?

So, given the correct values, is it correct that i shall:
1. Open a (non-root) terminal
2. Set ulimits in the terminal, and therefore on child prosesses
3. Start epiphany
4. Navigate to said site
5. Look for chrashes, hope for coredump
6. Report back here what happened

Note that i have the gnome-system-monitor in my tray (best debug tool there is
:P), and i did not see any special increase in mem usage. CPU was around 50% at
the time of the chrash - and mouse pointer movement was completely smooth - not
my experience of what happens during resouce exhaustion (CPU/Mem/swap graphs
shoot for the moon, computer becomes gradually slugish etc.)

Comment 3 Dave Jones 2005-04-16 04:35:29 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.